Subject: Commits are no longer gpg-signed in 2.9.0 when "commit.gpgsign" is enabled

From: Nils Fenner <[email-masked]>
Date: Mon, 11 Jul 2016 13:29:10 +0200

Hey Git community,

since Version 2.9.0, the configuration option "commit.gpgsign" doesn't 
work as users would expect. By committing via 'git gui' (or usual 'git 
commit'  without further option), commits are not being auto-signed any 
longer, when "commit.gpgSign" configuration option is set. I also 
couldn't find a flag to "workaround" that situation in the GUI. To my 
understanding, I now have to pass the '-S' option to 'git commit' every 
time and GUI becomes "impractical to use". Surprisingly, nobody seems 
having noticed this behavioural change since the release of 2.9.

FYI: In the release log, there's a note stating, that this has been 
altered in the context of 'git commit-tree'. Maybe this interferes with 
"normal" behaviour.

Would be happy hearing from you soon. Thanks!

Cheers,
Nils